git.lirion.de

Of git, get, and gud

summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authormail_redacted_for_web 2025-01-14 20:06:11 +0100
committermail_redacted_for_web 2025-01-14 20:06:11 +0100
commit7a5c78a35ed4a2000e0196c7c7257e3c718d5c37 (patch)
tree3a1138e2cc23691930f41c8fba8ebd10f76728e3 /bin
parent0d5486752d654086ca3bed648c008c60216726ba (diff)
downloadaptly-lirionde-7a5c78a35ed4a2000e0196c7c7257e3c718d5c37.tar.bz2
don't only encrypt. decrypt, too, to trigger secret operation.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/aptly-lirionde8
1 files changed, 5 insertions, 3 deletions
diff --git a/bin/aptly-lirionde b/bin/aptly-lirionde
index 0131fa5..2b896ec 100755
--- a/bin/aptly-lirionde
+++ b/bin/aptly-lirionde
@@ -147,9 +147,11 @@ fi
lnok
printf 'GPG pseudo operation...'
-printf 'lel\n' > /tmp/lel
-gpg -eu "$GPGKEY" -r "$GPGTESTKEY" /tmp/lel
-rm /tmp/lel* || exit 122
+MYLEL="$(mktemp --tmpdir lel.XXX)"
+printf 'lel\n' > "$MYLEL" || exit 122
+gpg -eu "$GPGKEY" -r "$GPGTESTKEY" "$MYLEL" || exit 122
+gpg -qd "${MYLEL}.gpg" > /dev/null || exit 122
+rm "$MYLEL" "${MYLEL}.gpg" || exit 122
printf ' done.\n'
lnbegin "Publishing snapshot result"